<?php
include_once("header.php");
if($login==1)
{
	if($go==1)
	{
		$admin_query = mysql_query("SELECT * FROM admin",$connection);
		$admin_fetch = mysql_fetch_array($admin_query);
		extract($admin_fetch);
		if(md5($oldpass)==$admin_password)
		{
			if(strlen($newpass)!=0 && $newpass==$renewpass && $email!=$admin_email && strlen($email)!=0 && eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$email) && strlen($name)!=0 && $name!=$admin_name)
			{
				$pass = md5($newpass);
				mysql_query("UPDATE admin SET admin_password='$pass', admin_email='$email', admin_name='$name'");
				$msg = "تم تعديل الاسم والبريد وكلمة السر بنجاح";
			}
			elseif(strlen($newpass)==0 && $email!=$admin_email && strlen($email)!=0 && eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$email) && strlen($name)!=0 && $name!=$admin_name)
			{
				$pass = md5($newpass);
				mysql_query("UPDATE admin SET admin_email='$email', admin_name='$name'");
				$msg = "تم تعديل الاسم والبريد بنجاح";
			}
			elseif(strlen($newpass)!=0 && $newpass==$renewpass && $email==$admin_email && strlen($name)!=0 && $name!=$admin_name)
			{
				$pass = md5($newpass);
				mysql_query("UPDATE admin SET admin_password='$pass', admin_name='$name'");
				$msg = "تم تعديل الاسم وكلمة السر بنجاح";
			}
			elseif(strlen($newpass)!=0 && $newpass==$renewpass && $email==$admin_email)
			{
				$pass = md5($newpass);
				mysql_query("UPDATE admin SET admin_password='$pass'$query1");
				$msg = "تم تعديل كلمة السر بنجاح";
			}
			elseif(strlen($newpass)==0 && $email!=$admin_email && strlen($email)!=0 && eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$email))
			{
				mysql_query("UPDATE admin SET admin_email='$email'");
				$msg = "تم تعديل البريد بنجاح";
			}
			elseif(strlen($name)!=0 && $name!=$admin_name)
			{
				mysql_query("UPDATE admin SET admin_name='$name'");
				$msg = "تم تعديل اسم الدخول";
			}
			elseif(strlen($email)==0 || !eregi("^[_\.0-9a-z-]+@([0-9a-z][0-9a-z-]+\.)+[a-z]{2,6}$",$email))
			{
				$msg = "من فضلك اكتب البريد صحيحا";
			}
			else
			{
				$msg = "لم تقم بتعديل شيء";
			}
		}
		else
		{
			$msg = "كلمة السر خطأ تأكد من كتابتها صحيحة";
		}
	}
	$admin_query = mysql_query("SELECT * FROM admin",$connection);
	$admin_fetch = mysql_fetch_array($admin_query);
	extract($admin_fetch);
	$name = $admin_name;
	$email = $admin_email;
	setcookie("adminpass", $admin_password, time()+3600);
	setcookie("adminname", $admin_name, time()+3600);
	$sub .= Template_Array("$site_template/admin/admin_edite.html");
}
else
{
	echo Template_Array("$site_template/admin/login.html"); 
    die();
}
$page_name = "بيانات المدير";
include_once("footer.php");
?>